Submit Add Mac User Output
curl --request POST \
--url https://api.dfns.io/key-stores/{storeId}/add-mac-user/output \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'X-DFNS-USERACTION: <api-key>' \
--form 'data={
"fileChecksum": "<string>",
"outputJson": {
"type": "fleet-output",
"version": 1,
"status": "success",
"org_id": "<string>",
"fleet_id": "<string>",
"fleet_label": "<string>",
"keystore_id": "<string>",
"group_id": "<string>",
"online_domain": "<string>",
"outputs": {},
"governance": {}
}
}' \
--form file='@example-file'import requests
url = "https://api.dfns.io/key-stores/{storeId}/add-mac-user/output"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "data": "{
\"fileChecksum\": \"<string>\",
\"outputJson\": {
\"type\": \"fleet-output\",
\"version\": 1,
\"status\": \"success\",
\"org_id\": \"<string>\",
\"fleet_id\": \"<string>\",
\"fleet_label\": \"<string>\",
\"keystore_id\": \"<string>\",
\"group_id\": \"<string>\",
\"online_domain\": \"<string>\",
\"outputs\": {},
\"governance\": {}
}
}" }
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('data', '{
"fileChecksum": "<string>",
"outputJson": {
"type": "fleet-output",
"version": 1,
"status": "success",
"org_id": "<string>",
"fleet_id": "<string>",
"fleet_label": "<string>",
"keystore_id": "<string>",
"group_id": "<string>",
"online_domain": "<string>",
"outputs": {},
"governance": {}
}
}');
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'X-DFNS-USERACTION': '<api-key>'}
};
options.body = form;
fetch('https://api.dfns.io/key-stores/{storeId}/add-mac-user/output', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Submit Add Mac User Output
Submits the output archive produced by the offline signer fleet for an add-mac-user operation.
POST
/
key-stores
/
{storeId}
/
add-mac-user
/
output
Submit Add Mac User Output
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)✅ Service Account
Required Permissions
KeyStores:Fleets:AddMacUser: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
Minimum string length:
1Response
200 - application/json
Success
Last modified on July 21, 2026
Was this page helpful?
⌘I